<%@ page language="java" contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="com.micromuse.sla.configclient.*" %>
<%@ page import="com.micromuse.common.util.Debug" %>
<%@ taglib uri="/jstl-c" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://micromuse.com/ncjsf" prefix="ncjsf" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<f:view>
  <head>
	<title>Service Report Viewer</title>
  <link href="../styles/master.css" type="text/css" rel="stylesheet">
  
  <style type="text/css">
  <!--added text-align -->

.inputscroll
{
background-color: #FFFFFF;
font-family: Verdana,Geneva, Arial, Helvetica, sans-serif;
font-size:10px;
scrollbar-base-color: Silver;
border-width:1px;
border-style: solid;
border-color: #7f9db9;
scrollbar-base-color: Silver;
width: 180px;
}

div.ismConfig
{
  border-style: solid;
  border-top-width: 1px;
  border-left-width: 1px;
  border-right-width: 3px;
  border-bottom-width: 3px;
  border-color: lightgrey;
  background: white;
}

div#icmpOptions { visibility: hidden; position: absolute;}
div#dnsOptions { visibility: hidden; position: absolute; }
div#httpOptions { visibility: hidden; position: absolute; }
div#httpsOptions { visibility: hidden; position: absolute; }
div#ldapOptions { visibility: hidden; position: absolute; }

</style>

  <script>

  function checkICMPMenuOptions()
  {
        var selectedValueIndex=window.document.icmpReportForm.Value.selectedIndex;
        var selectedValue=window.document.icmpReportForm.Value.options[selectedValueIndex].value;
        var selectedReportIndex = window.document.icmpReportForm.ReportView.selectedIndex;
        var selectedReport = window.document.icmpReportForm.ReportView.options[selectedReportIndex].value;
        var defaultOptions = new Array('Line', 'Bar', 'Delta', 'Statistics');
        var totalTimeOptions = new Array('Line', 'Bar', 'Delta', 'Baseline', 'Statistics');
        var RoundTripTimesOptions = new Array('Line');
        var serviceLevelOptions = new Array('Statistics');
        var PercentageRespondedOptions = new Array('Line');
        var FineGrainedTimingsOptions = new Array('Bar', 'Line', 'Statistics');
        var RoundTripTimesOptions = new Array('Line');
        var PercentageRespondedOptions = new Array('Line');

        if (selectedValue =='totalTime')
        {
                window.document.icmpReportForm.ReportView.options.length=totalTimeOptions.length;
                selectedReportIndex=0;
                for(i=0; i<totalTimeOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= totalTimeOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= totalTimeOptions[i];
                        if(totalTimeOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='RoundTripTimes')
        {
                window.document.icmpReportForm.ReportView.options.length=RoundTripTimesOptions.length;
                selectedReportIndex=0;
                for(i=0; i<RoundTripTimesOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= RoundTripTimesOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= RoundTripTimesOptions[i];
                        if(RoundTripTimesOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }
        if (selectedValue =='serviceLevel')
        {
                window.document.icmpReportForm.ReportView.options.length=serviceLevelOptions.length;
                selectedReportIndex=0;
                for(i=0; i<serviceLevelOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= serviceLevelOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= serviceLevelOptions[i];
                        if(serviceLevelOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='PercentageResponded')
        {
                window.document.icmpReportForm.ReportView.options.length=PercentageRespondedOptions.length;
                selectedReportIndex=0;
                for(i=0; i<PercentageRespondedOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= PercentageRespondedOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= PercentageRespondedOptions[i];
                        if(PercentageRespondedOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }
        if (selectedValue =='FineGrainedTimings')
        {
                window.document.icmpReportForm.ReportView.options.length=FineGrainedTimingsOptions.length;
                selectedReportIndex=0;
                for(i=0; i<FineGrainedTimingsOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= FineGrainedTimingsOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= FineGrainedTimingsOptions[i];
                        if(FineGrainedTimingsOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='RoundTripTimes')
        {
                window.document.icmpReportForm.ReportView.options.length=RoundTripTimesOptions.length;
                selectedReportIndex=0;
                for(i=0; i<RoundTripTimesOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= RoundTripTimesOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= RoundTripTimesOptiondocument.MainForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='PercentageResponded')
        {
                window.document.icmpReportForm.ReportView.options.length=PercentageRespondedOptions.length;
                selectedReportIndex=0;
                for(i=0; i<PercentageRespondedOptions.length; i++)
                {
                        window.document.icmpReportForm.ReportView.options[i].value= PercentageRespondedOptions[i];
                        window.document.icmpReportForm.ReportView.options[i].text= PercentageRespondedOptions[i];
                        if(PercentageRespondedOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
                return;
        }
        selectedReportIndex=0;
        window.document.icmpReportForm.ReportView.options.length=defaultOptions.length;
        for(i=0; i<defaultOptions.length; i++)
        {
                window.document.icmpReportForm.ReportView.options[i].value= defaultOptions[i];
                window.document.icmpReportForm.ReportView.options[i].text= defaultOptions[i];
                if(defaultOptions[i] == selectedReport)
                {
                        selectedReportIndex =i;
                }
        }
        window.document.icmpReportForm.ReportView.options[selectedReportIndex].selected=true;
        return;
        }
    } 

    function checkDNSMenuOptions()
    {
        var selectedValueIndex=window.document.dnsReportForm.dnsValue.selectedIndex;
        var selectedValue=window.document.dnsReportForm.dnsValue.options[selectedValueIndex].value;
        var selectedReportIndex = window.document.dnsReportForm.dnsReportView.selectedIndex;
        var selectedReport =window.document.dnsReportForm.dnsReportView.options[selectedReportIndex].value;
        var totalTimeOptions = new Array('Line', 'Bar', 'Delta', 'Baseline', 'Statistics');
        var defaultOptions = new Array('Line', 'Bar', 'Delta', 'Statistics');
        var serviceLevelOptions = new Array('Statistics');
        var FineGrainedTimingsOptions = new Array('Bar', 'Line', 'Statistics');

        if (selectedValue =='totalTime')
        {
                window.document.dnsReportForm.dnsReportView.options.length=totalTimeOptions.length;
                selectedReportIndex=0;
                for(i=0; i<totalTimeOptions.length; i++)
                {
                        window.document.dnsReportForm.dnsReportView.options[i].value= totalTimeOptions[i];
                        window.document.dnsReportForm.dnsReportView.options[i].text= totalTimeOptions[i];
                        if(totalTimeOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.dnsReportForm.dnsReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='serviceLevel')
        {
                window.document.dnsReportForm.dnsReportView.options.length=serviceLevelOptions.length;
                selectedReportIndex=0;
                for(i=0; i<serviceLevelOptions.length; i++)
                {
                        window.document.dnsReportForm.dnsReportView.options[i].value= serviceLevelOptions[i];
                        window.document.dnsReportForm.dnsReportView.options[i].text= serviceLevelOptions[i];
                        if(serviceLevelOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.dnsReportForm.dnsReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='FineGrainedTimings')
        {
                window.document.dnsReportForm.dnsReportView.options.length=FineGrainedTimingsOptions.length;
                selectedReportIndex=0;
                for(i=0; i<FineGrainedTimingsOptions.length; i++)
                {
                        window.document.dnsReportForm.dnsReportView.options[i].value= FineGrainedTimingsOptions[i];
                        window.document.dnsReportForm.dnsReportView.options[i].text= FineGrainedTimingsOptions[i];
                        if(FineGrainedTimingsOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.dnsReportForm.dnsReportView.options[selectedReportIndex].selected=true;
                return;
        }
        selectedReportIndex=0;
        window.document.dnsReportForm.dnsReportView.options.length=defaultOptions.length;
        for(i=0; i<defaultOptions.length; i++)
        {
                window.document.dnsReportForm.dnsReportView.options[i].value= defaultOptions[i];
                window.document.dnsReportForm.dnsReportView.options[i].text= defaultOptions[i];
                if(defaultOptions[i] == selectedReport)
                {
                        selectedReportIndex =i;
                }
        }
        window.document.dnsReportForm.dnsReportView.options[selectedReportIndex].selected=true;
        return;
    }


    function checkHTTPMenuOptions()
    {
        var selectedValueIndex=window.document.httpReportForm.httpValue.selectedIndex;
        var selectedValue=window.document.httpReportForm.httpValue.options[selectedValueIndex].value;
        var selectedReportIndex = window.document.httpReportForm.httpReportView.selectedIndex;
        var selectedReport =window.document.httpReportForm.httpReportView.options[selectedReportIndex].value;
        var totalTimeOptions = new Array('Line', 'Bar', 'Delta', 'Baseline', 'Statistics');
        var defaultOptions = new Array('Line', 'Bar', 'Delta', 'Statistics');
        var serviceLevelOptions = new Array('Statistics');
        var FineGrainedTimingsOptions = new Array('Bar', 'Line', 'Statistics');

        if (selectedValue =='totalTime')
        {
                window.document.httpReportForm.httpReportView.options.length=totalTimeOptions.length;
                selectedReportIndex=0;
                for(i=0; i<totalTimeOptions.length; i++)
                {
                        window.document.httpReportForm.httpReportView.options[i].value= totalTimeOptions[i];
                        window.document.httpReportForm.httpReportView.options[i].text= totalTimeOptions[i];
                        if(totalTimeOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpReportForm.httpReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='serviceLevel')
        {
                window.document.httpReportForm.httpReportView.options.length=serviceLevelOptions.length;
                selectedReportIndex=0;
                for(i=0; i<serviceLevelOptions.length; i++)
                {
                        window.document.httpReportForm.httpReportView.options[i].value= serviceLevelOptions[i];
                        window.document.httpReportForm.httpReportView.options[i].text= serviceLevelOptions[i];
                        if(serviceLevelOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpReportForm.httpReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='FineGrainedTimings')
        {
                window.document.httpReportForm.httpReportView.options.length=FineGrainedTimingsOptions.length;
                selectedReportIndex=0;
                for(i=0; i<FineGrainedTimingsOptions.length; i++)
                {
                        window.document.httpReportForm.httpReportView.options[i].value= FineGrainedTimingsOptions[i];
                        window.document.httpReportForm.httpReportView.options[i].text= FineGrainedTimingsOptions[i];
                        if(FineGrainedTimingsOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpReportForm.httpReportView.options[selectedReportIndex].selected=true;
                return;
        }
        selectedReportIndex=0;
        window.document.httpReportForm.httpReportView.options.length=defaultOptions.length;
        for(i=0; i<defaultOptions.length; i++)
        {
                window.document.httpReportForm.httpReportView.options[i].value= defaultOptions[i];
                window.document.httpReportForm.httpReportView.options[i].text= defaultOptions[i];
                if(defaultOptions[i] == selectedReport)
                {
                        selectedReportIndex =i;
                }
        }
        window.document.httpReportForm.httpReportView.options[selectedReportIndex].selected=true;
        return;
    }


    function checkHTTPSMenuOptions()
    {
        var selectedValueIndex=window.document.httpsReportForm.httpsValue.selectedIndex;
        var selectedValue=window.document.httpsReportForm.httpsValue.options[selectedValueIndex].value;
        var selectedReportIndex = window.document.httpsReportForm.httpsReportView.selectedIndex;
        var selectedReport =window.document.httpsReportForm.httpsReportView.options[selectedReportIndex].value;
        var totalTimeOptions = new Array('Line', 'Bar', 'Delta', 'Baseline', 'Statistics');
        var defaultOptions = new Array('Line', 'Bar', 'Delta', 'Statistics');
        var serviceLevelOptions = new Array('Statistics');
        var FineGrainedTimingsOptions = new Array('Bar', 'Line', 'Statistics');

        if (selectedValue =='totalTime')
        {
                window.document.httpsReportForm.httpsReportView.options.length=totalTimeOptions.length;
                selectedReportIndex=0;
                for(i=0; i<totalTimeOptions.length; i++)
                {
                        window.document.httpsReportForm.httpsReportView.options[i].value= totalTimeOptions[i];
                        window.document.httpsReportForm.httpsReportView.options[i].text= totalTimeOptions[i];
                        if(totalTimeOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpsReportForm.httpsReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='serviceLevel')
        {
                window.document.httpsReportForm.httpsReportView.options.length=serviceLevelOptions.length;
                selectedReportIndex=0;
                for(i=0; i<serviceLevelOptions.length; i++)
                {
                        window.document.httpsReportForm.httpsReportView.options[i].value= serviceLevelOptions[i];
                        window.document.httpsReportForm.httpsReportView.options[i].text= serviceLevelOptions[i];
                        if(serviceLevelOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpsReportForm.httpsReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='FineGrainedTimings')
        {
                window.document.httpsReportForm.httpsReportView.options.length=FineGrainedTimingsOptions.length;
                selectedReportIndex=0;
                for(i=0; i<FineGrainedTimingsOptions.length; i++)
                {
                        window.document.httpsReportForm.httpsReportView.options[i].value= FineGrainedTimingsOptions[i];
                        window.document.httpsReportForm.httpsReportView.options[i].text= FineGrainedTimingsOptions[i];
                        if(FineGrainedTimingsOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.httpsReportForm.httpsReportView.options[selectedReportIndex].selected=true;
                return;
        }
        selectedReportIndex=0;
        window.document.httpsReportForm.httpsReportView.options.length=defaultOptions.length;
        for(i=0; i<defaultOptions.length; i++)
        {
                window.document.httpsReportForm.httpsReportView.options[i].value= defaultOptions[i];
                window.document.httpsReportForm.httpsReportView.options[i].text= defaultOptions[i];
                if(defaultOptions[i] == selectedReport)
                {
                        selectedReportIndex =i;
                }
        }
        window.document.httpsReportForm.httpsReportView.options[selectedReportIndex].selected=true;
        return;
    }

    function checkLDAPMenuOptions() 
    {
        var selectedValueIndex=window.document.ldapReportForm.ldapValue.selectedIndex;
        var selectedValue=window.document.ldapReportForm.ldapValue.options[selectedValueIndex].value;
        var selectedReportIndex = window.document.ldapReportForm.ldapReportView.selectedIndex;
        var selectedReport =window.document.ldapReportForm.ldapReportView.options[selectedReportIndex].value;
        var totalTimeOptions = new Array('Line', 'Bar', 'Delta', 'Baseline', 'Statistics');
        var defaultOptions = new Array('Line', 'Bar', 'Delta', 'Statistics');
        var serviceLevelOptions = new Array('Statistics');
        var FineGrainedTimingsOptions = new Array('Bar', 'Line', 'Statistics');

        if (selectedValue =='totalTime')
        {
                window.document.ldapReportForm.ldapReportView.options.length=totalTimeOptions.length;
                selectedReportIndex=0;
                for(i=0; i<totalTimeOptions.length; i++)
                {
                        window.document.ldapReportForm.ldapReportView.options[i].value= totalTimeOptions[i];
                        window.document.ldapReportForm.ldapReportView.options[i].text= totalTimeOptions[i];
                        if(totalTimeOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.ldapReportForm.ldapReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='serviceLevel')
        {
                window.document.ldapReportForm.ldapReportView.options.length=serviceLevelOptions.length;
                selectedReportIndex=0;
                for(i=0; i<serviceLevelOptions.length; i++)
                {
                        window.document.ldapReportForm.ldapReportView.options[i].value= serviceLevelOptions[i];
                        window.document.ldapReportForm.ldapReportView.options[i].text= serviceLevelOptions[i];
                        if(serviceLevelOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.ldapReportForm.ldapReportView.options[selectedReportIndex].selected=true;
                return;
        }

        if (selectedValue =='FineGrainedTimings')
        {
                window.document.ldapReportForm.ldapReportView.options.length=FineGrainedTimingsOptions.length;
                selectedReportIndex=0;
                for(i=0; i<FineGrainedTimingsOptions.length; i++)
                {
                        window.document.ldapReportForm.ldapReportView.options[i].value= FineGrainedTimingsOptions[i];
                        window.document.ldapReportForm.ldapReportView.options[i].text= FineGrainedTimingsOptions[i];
                        if(FineGrainedTimingsOptions[i] == selectedReport)
                        {
                                selectedReportIndex =i;
                        }
                }
                window.document.ldapReportForm.ldapReportView.options[selectedReportIndex].selected=true;
                return;
        }
        selectedReportIndex=0;
        window.document.ldapReportForm.ldapReportView.options.length=defaultOptions.length;
        for(i=0; i<defaultOptions.length; i++)
        {
                window.document.ldapReportForm.ldapReportView.options[i].value= defaultOptions[i];
                window.document.ldapReportForm.ldapReportView.options[i].text= defaultOptions[i];
                if(defaultOptions[i] == selectedReport)
                {
                        selectedReportIndex =i;
                }
        }
        window.document.ldapReportForm.ldapReportView.options[selectedReportIndex].selected=true;
        return;
    }


    function setSize() {
      window.resizeTo(380,600);
      var monType = document.getElementById('ruleName').value;
      if(monType == "") {
        alert("No ISM Monitoring Rules are configured for this Instance");
        window.close();
      } else {
        setMonType();
      }
    }

    function setMonType() {
      var mon;
      var ruleName = document.getElementById('ruleName').value;
      <c:forEach var="sessionISMRule" items="${sessionScope.instance.serviceInstanceISMRuleStore.rules}">
        var val = '<c:out value="${sessionISMRule.templateRuleName}"/>'
        if(val == ruleName) {
          mon = '<c:out value="${sessionISMRule.monitor}"/>'
        }
      </c:forEach>

      document.getElementById('monType').value = mon.toUpperCase() + " ISM";
      if(mon == "icmp") {
        document.getElementById('icmpOptions').style.visibility = 'visible';
        document.getElementById('dnsOptions').style.visibility = 'hidden';
        document.getElementById('httpOptions').style.visibility = 'hidden';
        document.getElementById('httpsOptions').style.visibility = 'hidden';
        document.getElementById('ldapOptions').style.visibility = 'hidden';
      } else if(mon == "dns") {
        document.getElementById('icmpOptions').style.visibility = 'hidden';
        document.getElementById('dnsOptions').style.visibility = 'visible';
        document.getElementById('httpOptions').style.visibility = 'hidden';
        document.getElementById('httpsOptions').style.visibility = 'hidden';
        document.getElementById('ldapOptions').style.visibility = 'hidden';
      } else if(mon == "http") {
        document.getElementById('icmpOptions').style.visibility = 'hidden';
        document.getElementById('dnsOptions').style.visibility = 'hidden';
        document.getElementById('httpsOptions').style.visibility = 'hidden';
        document.getElementById('httpOptions').style.visibility = 'visible';
        document.getElementById('ldapOptions').style.visibility = 'hidden';
      } else if(mon == "https") {
        document.getElementById('icmpOptions').style.visibility = 'hidden';
        document.getElementById('dnsOptions').style.visibility = 'hidden';
        document.getElementById('httpOptions').style.visibility = 'hidden';
        document.getElementById('httpsOptions').style.visibility = 'visible';
        document.getElementById('ldapOptions').style.visibility = 'hidden';
      } else if(mon == "ldap") {
        document.getElementById('icmpOptions').style.visibility = 'hidden';
        document.getElementById('dnsOptions').style.visibility = 'hidden';
        document.getElementById('httpOptions').style.visibility = 'hidden';
        document.getElementById('httpsOptions').style.visibility = 'hidden';
        document.getElementById('ldapOptions').style.visibility = 'visible';
      }

    }

    function do_Report() {
      var target = '<c:out value="${sessionScope.instance.serviceInstanceName}"/>'
      var ruleName = document.getElementById('ruleName').value;
      var monType = document.getElementById('monType').value;      
      var templateISMServer;
      var profile;
      var readToFetch = 0;
      var ruleID = null;

      <c:forEach var="sessionISMRule" items="${sessionScope.instance.serviceInstanceISMRuleStore.rules}">
          var tmpRuleName = '<c:out value="${sessionISMRule.templateRuleName}"/>'
          if(tmpRuleName == ruleName) {        
            ruleID = '<c:out value="${sessionISMRule.ruleID}"/>'
          }
      </c:forEach>                        

        if(ruleID == null) {
          alert("Unable to retrieve rule data for: " + ruleName);
          window.close();
        }

      <c:forEach var="templateISMConfigRule" items="${sessionScope.tag.templateISMConfigStore.rules}">
        var templateRuleId = '<c:out value="${templateISMConfigRule.ruleId}"/>'
        if(templateRuleId == ruleID) {
          var templateISMServer = '<c:out value="${templateISMConfigRule.ismServer}"/>'
          var profile = '<c:out value="${templateISMConfigRule.profile}"/>'
        }
      </c:forEach>

        
      <c:forEach var="ismServerConfigBean" items="${sessionScope.tag.ismServerConfigStore.ISMServerConfig}">
        var ismServer = '<c:out value="${ismServerConfigBean.ISMServer}"/>'  
        if(ismServer == templateISMServer) {
          var port = '<c:out value="${ismServerConfigBean.port}"/>'
          readToFetch = 1;      
        }
      </c:forEach>

      if(readToFetch == 1) {
        if(monType == "ICMP ISM") {
          var granularity = document.getElementById('granularity').value;
          var reportvalue = document.getElementById('Value').value;
          var reportview = document.getElementById('ReportView').value;

          var origtarget = target;
          target = target.replace(/\./g, "_");

          NewWin = this.open("http://" + ismServer + ":" + port + "/ISMServer?Profile=" + profile + "&Monitor=icmp&Location=ALL&DatalogDirectory=ICMP_" + target + "_&Granular=" + granularity + "&TZUse=GMT&View=ImageWrapper&FailedPercentFailed=&MarginalPercentFailed=&GoodPercentFailed=90&FailedPercentMarginal=&MarginalPercentMarginal=&GoodPercentMarginal=99&Action=71&Value=" + reportvalue + "&ReportView=" + reportview + "&Measurand=" + origtarget ,"newwin", "toolbar=yes,menubar=yes,location=yes,resizable=yes,scrollbars,width=850,height=600"); 
        } else if(monType == "DNS ISM") {
          var dnsPort;
          var dnsHostname;
          <c:forEach var="dnsBean" items="${sessionScope.instance.serviceInstanceISMRuleStore.dnsBeanList}">
            var dnsBeanRuleId = '<c:out value="${dnsBean.ruleId}"/>'
            if(dnsBeanRuleId == ruleID) {
              dnsPort = '<c:out value="${dnsBean.dnsPort}"/>' 
              dnsHostname = '<c:out value="${dnsBean.dnsHostname}"/>'
            }

          </c:forEach>
          var granularity = document.getElementById('dnsGranularity').value;
          var reportvalue = document.getElementById('dnsValue').value;
          var reportview = document.getElementById('dnsReportView').value;

          var origtarget = target;
          target = target.replace(/\./g, "_");
          target = target + "_" + dnsPort + "_" + dnsHostname+"__";

          NewWin = this.open("http://" + ismServer + ":" + port + "/ISMServer?Profile=" + profile + "&Monitor=dns&Location=ALL&DatalogDirectory=DNS_" + target + "&Granular=" + granularity + "&TZUse=GMT&View=ImageWrapper&FailedPercentFailed=&MarginalPercentFailed=&GoodPercentFailed=90&FailedPercentMarginal=&MarginalPercentMarginal=&GoodPercentMarginal=99&Action=71&Value=" + reportvalue + "&ReportView=" + reportview + "&Measurand=" + origtarget ,"newwin", "toolbar=yes,menubar=yes,location=yes,resizable=yes,scrollbars,width=850,height=600"); 

       } else if(monType == "HTTP ISM") {
        var httpPort;
        <c:forEach var="httpBean" items="${sessionScope.instance.serviceInstanceISMRuleStore.httpBeanList}">
          var httpBeanRuleId = '<c:out value="${httpBean.ruleId}"/>'
          if(httpBeanRuleId == ruleID) {
            httpPort = '<c:out value="${httpBean.httpPort}"/>'
          }
        </c:forEach>
          
          var granularity = document.getElementById('httpGranularity').value;
          var reportvalue = document.getElementById('httpValue').value;
          var reportview = document.getElementById('httpReportView').value;
  
          var origtarget = target;
          target = target.replace(/\./g, "_");
          target = target + "_" + httpPort + "____";

          NewWin = this.open("http://" + ismServer + ":" + port + "/ISMServer?Profile=" + profile + "&Monitor=http&Location=ALL&DatalogDirectory=HTTP_" + target + "&Granular=" + granularity + "&TZUse=GMT&View=ImageWrapper&FailedPercentFailed=&MarginalPercentFailed=&GoodPercentFailed=90&FailedPercentMarginal=&MarginalPercentMarginal=&GoodPercentMarginal=99&Action=71&Value=" + reportvalue + "&ReportView=" + reportview + "&Measurand=" + origtarget ,"newwin", "toolbar=yes,menubar=yes,location=yes,resizable=yes,scrollbars,width=850,height=600"); 
      
      } else if(monType == "HTTPS ISM") {
        var httpsPort;

        <c:forEach var="httpsBean" items="${sessionScope.instance.serviceInstanceISMRuleStore.httpsBeanList}">
          var httpsBeanRuleId = '<c:out value="${httpsBean.ruleId}"/>'
          if(httpsBeanRuleId == ruleID) {
            httpsPort = '<c:out value="${httpsBean.httpsPort}"/>'
          }
        </c:forEach>
          
          var granularity = document.getElementById('httpsGranularity').value;
          var reportvalue = document.getElementById('httpsValue').value;
          var reportview = document.getElementById('httpsReportView').value;
  
          var origtarget = target;
          target = target.replace(/\./g, "_");
          target = target + "_" + httpsPort + "____";

          NewWin = this.open("http://" + ismServer + ":" + port + "/ISMServer?Profile=" + profile + "&Monitor=https&Location=ALL&DatalogDirectory=HTTPS_" + target + "&Granular=" + granularity + "&TZUse=GMT&View=ImageWrapper&FailedPercentFailed=&MarginalPercentFailed=&GoodPercentFailed=90&FailedPercentMarginal=&MarginalPercentMarginal=&GoodPercentMarginal=99&Action=71&Value=" + reportvalue + "&ReportView=" + reportview + "&Measurand=" + origtarget ,"newwin", "toolbar=yes,menubar=yes,location=yes,resizable=yes,scrollbars,width=850,height=600"); 

     } else if(monType == "LDAP ISM") {
      var ldapPort;
      var ldapSearchbase;

      <c:forEach var="ldapBean" items="${sessionScope.instance.serviceInstanceISMRuleStore.ldapBeanList}">
        var ldapBeanRuleId = '<c:out value="${ldapBean.ruleId}"/>'
        if(ldapBeanRuleId == ruleID) {
          ldapPort = '<c:out value="${ldapBean.ldapPort}"/>'
          ldapSearchbase = '<c:out value="${ldapBean.ldapSearchbase}"/>'
        }
      </c:forEach>
          
      var granularity = document.getElementById('ldapGranularity').value;
      var reportvalue = document.getElementById('ldapValue').value;
      var reportview = document.getElementById('ldapReportView').value;

      var origtarget = target;
      target = target.replace(/\./g, "_");
      target = target + "_" + ldapPort + "_" + ldapSearchbase;

      NewWin = this.open("http://" + ismServer + ":" + port + "/ISMServer?Profile=" + profile + "&Monitor=ldap&Location=ALL&DatalogDirectory=LDAP_" + target + "&Granular=" + granularity + "&TZUse=GMT&View=ImageWrapper&FailedPercentFailed=&MarginalPercentFailed=&GoodPercentFailed=90&FailedPercentMarginal=&MarginalPercentMarginal=&GoodPercentMarginal=99&Action=71&Value=" + reportvalue + "&ReportView=" + reportview + "&Measurand=" + origtarget ,"newwin", "toolbar=yes,menubar=yes,location=yes,resizable=yes,scrollbars,width=850,height=600"); 
    }
  } else if(readToFetch == 0) {
      alert("Unable to retrieve Template ISM Configuration data for this instance. Template ISM Configuration rules may have been deleted");
      window.close();
  }
}

  </script>
  </head>

<body class="NavigationTree" onLoad="javascript:setSize()">
<h:form id="form1">
  <h:inputHidden id="instanceToFetch" value="#{UtilBackingBean.ismReportInstance}"/>
</h:form>

  ISM Service Report Viewer for Service Instance <b><c:out value="${sessionScope.instance.serviceInstanceName}"/></b></br>
  <hr>
    Select a "RAD ISM Rule" from the Configuration dialog below to get started. You can also select from several
   different report options including Granularity, Value to Graph, and Report Type to customize your report.<br>
  <br><br>
  <div id="config" class="ismConfig">
    <form id="reportform" name="reportform">
      <table border=0 width=100%>
        <tr><td><b>Configuration:</b>
          <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
        </td></tr>
        <tr><td align="center">
          RAD ISM Rule:
        </td>
        <td>
          <select id="ruleName" name="ruleName" size=1 class="inputscroll" onChange="setMonType()">
            <c:forEach var="tmpISMRule" items="${sessionScope.instance.serviceInstanceISMRuleStore.rules}">
              <option value='<c:out value="${tmpISMRule.templateRuleName}"/>'><c:out value="${tmpISMRule.templateRuleName}"/>
            </c:forEach>
          </select>
        </td></tr>
        <tr><td align="center">
          Monitor Type:
        </td><td>
          <input type="text" class="inputscroll" id=monType readonly=true disabled=true></td></tr>
      </table>
    </form>
  </div>
  
  <br>
    <div id="icmpOptions" class="ismConfig">
      <form id="icmpReportForm" name="icmpReportForm">
        <table width=100%>
          <tr><td><b>ICMP Report Options:</b>
            <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
          </td></tr>
          <tr><td align="center">Granularity:</td>
            <td>
              <select id="granularity" name="granularity" size=1 class="inputscroll">
                <option value="hour">1 Hour View
                <option value="year">Year View
                <option value="quarter">Quarterly View
                <option value="month">Month View
                <option value="week">Week View
                <option value="day">Day View
                <option value="3hour">3 Hour View
              </select></td></tr>
           <tr><td align="center">Value To Graph:</td>
            <td><select name="Value" id="Value" size=1 class="inputscroll" onChange="checkICMPMenuOptions()">
                  <option value="totalTime">Total Time
                  <option value="serviceLevel">Service Level
                  <option value="totalTime">Total Time
                  <option value="FineGrainedTimings">Fine Grained Timings
                  <option value=" -&gt; lookupTime"> -&gt; Lookup Time
                  <option value="RoundTripTimes">Round Trip Times
                  <option value=" -&gt; averageRTT"> -&gt; Average RTT
                  <option value=" -&gt; minRTT"> -&gt; Min RTT
                  <option value=" -&gt; maxRTT"> -&gt; Max RTT
                  <option value="PercentageResponded">Percentage Responded
                </select align="center"></td><tr>
           <tr><td align="center">Report Type:</td>
            <td><select name="ReportView" id="ReportView" size=1 
                  class="inputscroll" onChange="checkICMPMenuOptions()">
                  <option value="Bar">Bar
                  <option value="Line">Line
                  <option value="Delta">Delta
                  <option value="Baseline">Baseline
                  <option value="Statistics">Statistics
                </select></td>
             <tr>
              <td colspan=3>
                <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
              </td>
             </tr>
          <tr>
            <td colspan=3 align="center">
              <input type="button" value="View Report" 
                onclick="javascript:do_Report()"/>
            </td>
          </tr>
        </table>
      </form>
    </div>

    <div id="dnsOptions" class="ismConfig">
      <form id="dnsReportForm" name="dnsReportForm">
        <table width=100%>
          <tr><td><b>DNS Report Options:</b></td></tr>
            <tr><td><img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
          </td></tr>
          <tr><td align="center">Granularity:</td>
            <td>
              <select id="dnsGranularity" name="dnsGranularity" size=1 class="inputscroll">
                <option value="hour">1 Hour View
                <option value="year">Year View
                <option value="quarter">Quarterly View
                <option value="month">Month View
                <option value="week">Week View
                <option value="day">Day View
                <option value="3hour">3 Hour View
              </select></td></tr>
           <tr><td align="center">Value To Graph:</td>
            <td><select name="dnsValue" id="dnsValue" size=1 class="inputscroll" onChange="checkDNSMenuOptions()">
                  <option value="totalTime">Total Time
                  <option value="serviceLevel">Service Level
                  <option value="FineGrainedTimings">Fine Grained Timings
                  <option value=" -&gt; responseTime"> -&gt; Response Time
                </select align="center"></td><tr>
           <tr><td align="center">Report Type:</td>
            <td><select name="dnsReportView" id="dnsReportView" size=1 
                  class="inputscroll" onChange="checkDNSMenuOptions()">
                  <option value="Bar">Bar
                  <option value="Line">Line
                  <option value="Delta">Delta
                  <option value="Baseline">Baseline
                  <option value="Statistics">Statistics
                </select></td>
             <tr>
              <td colspan=3>
                <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
              </td>
             </tr>
          <tr>
            <td colspan=3 align="center">
              <input type="button" value="View Report" 
                onclick="javascript:do_Report()"/>
            </td>
          </tr>
        </table>
      </form>
    </div>

    <div id="httpOptions" class="ismConfig">
      <form id="httpReportForm" name="httpReportForm">
        <table width=100%>
          <tr><td><b>HTTP Report Options:</b></td></tr>
            <tr><td><img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
          </td></tr>
          <tr><td align="center">Granularity:</td>
            <td>
             <select id="httpGranularity" name="httpGranularity" size=1 class="inputscroll">
                <option value="hour">1 Hour View
                <option value="year">Year View
                <option value="quarter">Quarterly View
                <option value="month">Month View
                <option value="week">Week View
                <option value="day">Day View
                <option value="3hour">3 Hour View
              </select></td></tr>
           <tr><td align="center">Value To Graph:</td>
            <td><select name="httpValue" id="httpValue" size=1 class="inputscroll" onChange="checkHTTPMenuOptions()">
              <option value="serviceLevel">Service Level
              <option value="totalTime">Total Time
              <option value="FineGrainedTimings">Fine Grained Timings
              <option value=" -&gt; lookupTime"> -&gt; Lookup Time
              <option value=" -&gt; connectTime"> -&gt; Connect Time
              <option value=" -&gt; responseTime"> -&gt; Response Time
              <option value=" -&gt; downloadTime"> -&gt; Download Time
                </select align="center"></td><tr>
           <tr><td align="center">Report Type:</td>
            <td><select name="httpReportView" id="httpReportView" size=1 
                  class="inputscroll" onChange="checkHTTPMenuOptions()">
                  <option value="Bar">Bar
                  <option value="Line">Line
                  <option value="Delta">Delta
                  <option value="Baseline">Baseline
                  <option value="Statistics">Statistics
                </select></td>
             <tr>
              <td colspan=3>
                <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
              </td>
             </tr>
          <tr>
            <td colspan=3 align="center">
              <input type="button" value="View Report" 
                onclick="javascript:do_Report()"/>
            </td>
          </tr>
        </table>
      </form>
    </div>

    <div id="httpsOptions" class="ismConfig">
      <form id="httpsReportForm" name="httpsReportForm">
        <table width=100%>
          <tr><td><b>HTTPS Report Options:</b></td></tr>
            <tr><td><img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
          </td></tr>
          <tr><td align="center">Granularity:</td>
            <td>
          <select id="httpsGranularity" name="httpsGranularity" size=1 class="inputscroll">
            <option value="hour">1 Hour View
            <option value="year">Year View
            <option value="quarter">Quarterly View
            <option value="month">Month View
            <option value="week">Week View
            <option value="day">Day View
            <option value="3hour">3 Hour View
          </select></td></tr>
        <tr><td align="center">Value To Graph:</td>
          <td><select name="httpsValue" id="httpsValue" size=1 class="inputscroll" onChange="checkHTTPSMenuOptions()">
            <option value="totalTime">Total Time
            <option value="serviceLevel">Service Level
            <option value="totalTime">Total Time
            <option value="FineGrainedTimings">Fine Grained Timings
            <option value=" -&gt; lookupTime"> -&gt; Lookup Time
            <option value=" -&gt; connectTime"> -&gt; Connect Time
            <option value=" -&gt; sslHandshakeTime"> -&gt; Ssl Handshake Time
            <option value=" -&gt; responseTime"> -&gt; Response Time
            <option value=" -&gt; downloadTime"> -&gt; Download Time
          </select align="center"></td></tr>
           <tr><td align="center">Report Type:</td>
            <td><select name="httpsReportView" id="httpsReportView" size=1 
                  class="inputscroll" onChange="checkHTTPSMenuOptions()">
                  <option value="Bar">Bar
                  <option value="Line">Line
                  <option value="Delta">Delta
                  <option value="Baseline">Baseline
                  <option value="Statistics">Statistics
                </select></td>
             <tr>
              <td colspan=3>
                <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
              </td>
             </tr>
          <tr>
            <td colspan=3 align="center">
              <input type="button" value="View Report" 
                onclick="javascript:do_Report()"/>
            </td>
          </tr>
        </table>
      </form>
    </div>

    <div id="ldapOptions" class="ismConfig">
      <form id="ldapReportForm" name="ldapReportForm">
        <table width=100%>
          <tr><td><b>LDAP Report Options:</b></td></tr>
            <tr><td><img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
          </td></tr>
          <tr><td align="center">Granularity:</td>
            <td>
          <select id="ldapGranularity" name="ldapGranularity" size=1 class="inputscroll">
            <option value="hour">1 Hour View
            <option value="year">Year View
            <option value="quarter">Quarterly View
            <option value="month">Month View
            <option value="week">Week View
            <option value="day">Day View
            <option value="3hour">3 Hour View
          </select></td></tr>
        <tr><td align="center">Value To Graph:</td>
          <td><select name="ldapValue" id="ldapValue" size=1 class="inputscroll" onChange="checkLDAPMenuOptions()">
            <option value="totalTime">Total Time
            <option value="serviceLevel">Service Level
            <option value="totalTime">Total Time
            <option value="FineGrainedTimings">Fine Grained Timings
            <option value=" -&gt; initTime"> -&gt; Init Time
            <option value=" -&gt; connectTime"> -&gt; Connect Time
            <option value=" -&gt; searchTime"> -&gt; Search Time
            </select></td></tr>
           <tr><td align="center">Report Type:</td>
            <td><select name="ldapReportView" id="ldapReportView" size=1 
                  class="inputscroll" onChange="checkLDAPMenuOptions()">
                  <option value="Bar">Bar
                  <option value="Line">Line
                  <option value="Delta">Delta
                  <option value="Baseline">Baseline
                  <option value="Statistics">Statistics
                </select></td>
             <tr>
              <td colspan=3>
                <img src="/sla/sla/netcool/images/spacer.png" height="6" style="border: 0" width=1 alt=""/>
              </td>
             </tr>
          <tr>
            <td colspan=3 align="center">
              <input type="button" value="View Report" 
                onclick="javascript:do_Report()"/>
            </td>
          </tr>
        </table>
      </form>
    </div>
</f:view>
</body>
</html>

